Subject: Re: [SQU] Looks like a newbie problem:
From: "Robert Collins" <[email-masked]>
To: "Henrik Nordstrom" <[email-masked]>, "Henk-Jan Kloosterman" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 Feb 2001 09:31:47 +1100

I believe the correct proxy auth forwarding patch you and I put together potentially breaks it? (See squid-dev archives...)

Ahh,

Henk-Jan, could you please rm your cache.log, up your debug level to 29,9 33,6 and run a single request (that produces no body) and

drop me the resulting cache.log file?

I'll have a look at the SSL branch in light of this this week (not today though sorry)

Rob

----- Original Message -----
From: "Henrik Nordstrom" <[email-masked]>
To: "Henk-Jan Kloosterman" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, February 15, 2001 7:18 AM
Subject: Re: [SQU] Looks like a newbie problem:

> Smells fishy. Quite likely a bug in the authentication part.
>
> Robert: Any ideas? How does the new authentication code behave on
> AUTH_ON_ACCELERATION?
>
> /Henrik
>
>
> Henk-Jan Kloosterman wrote:
> >
> > I configured my (2.5 +ssl) squid as follows:
> >
> > # And finally deny all other access to this proxy
> > acl net src 150.50.0.0/16 192.168.0.0/16 10.30.0.0/16
> > acl secureid proxy_auth REQUIRED
> > http_access allow net
> > http_access allow secureid
> > http_access deny all
> >
> > What I want is:  all "net" users ar efree to use the proxy (and
> > host-accelrator)
> > ((Yes I just the DEFINES = -DAUTH_ON_ACCELERATION)) option.:)))
> > All other users (secureid) must by authenticated.
> >
> > I am sure I miss something or doing something wrong.
> > The users get authenticated: But then. the requested page does not contain
> > any data!!!
> >
> > If  I make it a complete http_access allow all.. It works allright!
> >
> > --
> > To unsubscribe, see http://www.squid-cache.org/mailing-lists.html
>
>